package net.chlup.mybrother;

import android.content.Context;
import android.content.Intent;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.util.Log;

public class GPSBooter extends BroadcastReceiver {
   public static final String TAG = "GPSBooter";

   @Override
   public void onReceive(Context ctx, Intent i) {
      Preferences prefs = new Preferences(ctx);
      prefs.load();

      if (prefs.start_on_boot) {
         Intent svc_i = new Intent(ctx, GPS.class);
         ComponentName svc = ctx.startService(svc_i);
         if (svc == null)
            Log.i(this.getClass().getName(), "Failed starting service");
         else
            Log.i(this.getClass().getName(), "Started service");

      }
      else {
         Log.i(this.getClass().getName(), "Not starting on boot");
      }
   }

}
